"""
Client-agnostic model for marshalling Spotify data types.
"""

from .album import SearchAlbum, SimplifiedAlbum
from .extra import ReleaseDatePrecision
from .paging import Paging
from .playlist import SimplifiedPlaylist
from .track import SimplifiedTrack, Track
from .user import PrivateUser, PublicUser

__all__ = [
    "Paging",
    "PrivateUser",
    "PublicUser",
    "ReleaseDatePrecision",
    "SearchAlbum",
    "SimplifiedAlbum",
    "SimplifiedPlaylist",
    "SimplifiedTrack",
    "Track",
]
