"""
Classes designed to manage playlist
"""
from typing import Any, Dict, List

from pydantic import BaseModel, Field

from .user import PublicUser


class SimplifiedPlaylist(BaseModel):
    """
    Playlist as returned by the Playlist API

    https://developer.spotify.com/documentation/web-api/reference/#object-simplifiedplaylistobject
    """

    collaborative: bool
    description: str
    external_urls: Dict[str, str]
    href: str
    spotify_id: str = Field(alias="id")
    images: List[Dict[str, Any]]
    name: str
    owner: PublicUser
    snapshot_id: str
    tracks: Dict[str, Any]
    spotify_type: str = Field(alias="type")
    uri: str
